curl --request PUT \
--url https://staging.crossmint.com/api/2025-06-09/users/{userLocator}/legal-documents \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"acceptedAt": "2025-10-05T14:48:00Z",
"type": "crossmint-privacy-policy"
}
'{
"acceptedAt": "2024-01-15T10:30:00.000Z"
}Accept Legal Document
Record user acceptance of a legal document. Supported types are crossmint-privacy-policy and crossmint-terms-of-service. The latest version of the document is always recorded. When accepting crossmint-terms-of-service, the region field is required so the correct regional agreement is resolved.
API scope required: users.create
curl --request PUT \
--url https://staging.crossmint.com/api/2025-06-09/users/{userLocator}/legal-documents \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"acceptedAt": "2025-10-05T14:48:00Z",
"type": "crossmint-privacy-policy"
}
'{
"acceptedAt": "2024-01-15T10:30:00.000Z"
}Authorizations
API key required for authentication
Path Parameters
A user locator can be of the format:
email:<email>userId:<userId>phoneNumber:<phoneNumber>twitter:<handle>x:<handle>
"email:user@example.com"
"userId:507f1f77bcf86cd799439011"
"userId:did:example:cm4lr5piw0h6t1bjho0onryql"
"phoneNumber:+12125551234"
"twitter:johndoe"
"x:@johndoe"
Body
ISO 8601 in UTC. Fractional seconds are optional.
"2024-01-15T10:30:00.000Z"
The legal document the user is accepting.
crossmint-privacy-policy, crossmint-terms-of-service Region the user is operating in. Required when type is crossmint-terms-of-service and determines which regional Terms of Service document is accepted. Ignored for crossmint-privacy-policy.
eu, us, worldwide Response
Legal document acceptance recorded
ISO 8601 in UTC. Fractional seconds are optional.
"2024-01-15T10:30:00.000Z"
Was this page helpful?

